<? if ( !defined("_INCLUDED_GLOBAL") ) die("Access Denied");		// [Security]Allow_url_fopen = On ?>
<?

	/*
		-. 메일링 리스트 관리 등록/수정 폼 데이타 지정.

		ex)
			$view = setform_admin_mailing($row);

	*/
	function setform_admin_mailing($row)
	{
		global $G, $G_SYS, $TB, $AUTH;

		// default
		if ($row['m_email'] == '')
			$row['m_email'] = $AUTH['auth_m_email'];

		if ($row['m_email'] == '')
			$row['m_etc2'] = '1';

		$view = $row;

		$view['m_name'] = input_value($row['m_name'], 1);
		$view['m_id'] = $row['m_id'];

		if (!$_GET['isadmin'])
		{
			// 선택된 도메인이 없을때는 로그인한 사용자의 도메인으로 선택.
				if (!$_GET['sa_d_no'])
					$_GET['sa_d_no'] = $G['DINFO']['d_no'];

			// 도메인
				$q = "SELECT * FROM ".$TB['DOMAIN']." WHERE d_is_use='Y' ORDER BY d_name";
				$mbr_domain = db_get_rows($q, true);
				$view['sa_d_no'] = select_list_value($_GET['sa_d_no'], $mbr_domain['d_name'], $mbr_domain['d_no'], NULL, 0, 1);
		}	// if()

		$view['m_email'] = input_value($row['m_email'], 1);

		// [2012-10-16] 기본값을 제한함에서 제한안함으로 변경
		//$view['m_etc1'] = radio_value("m_etc1", $row['m_etc1'], array('제한함', '제한안함'), array('1', '0'), 0, 0, 1);
		$view['m_etc1'] = radio_value("m_etc1", $row['m_etc1'], array('제한안함', '제한함'), array('0', '1'), 0, 0, 1);
		// [2012-12-11] 보낸사람 주소/메일링 주소가 반대로 메일서버에 반영되던 오류 수정.
		//$view['m_etc2'] = radio_value("m_etc2", $row['m_etc2'], array('보낸사람 주소', '메일링 주소'), array('1', '0'), 0, 0, 1);
		$view['m_etc2'] = radio_value("m_etc2", $row['m_etc2'], array('보낸사람 주소', '메일링 주소'), array('0', '1'), 0, 0, 1);

		$view['m_memo'] = htmlspecialchars_fix($row['m_memo']);

		return $view;
	}	// function()


?>